import { promises as fs } from "node:fs";
import { ATT_TMP_DIR } from "./attachment.config";

export async function ensureAttachmentsTmpDir() {
    const tmp = ATT_TMP_DIR();                  //<ROOT>/_tmp
    await fs.mkdir(tmp, { recursive: true });   // create if missing

    
    return tmp;
} 